List
const url = 'https://api.wink.travel/reference-data/channel-manager/list';const options = { method: 'GET', headers: {'Wink-Version': '2.0', Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.wink.travel/reference-data/channel-manager/list \ --header 'Authorization: Bearer <token>' \ --header 'Wink-Version: 2.0'Returns all channel managers / rate providers available on Wink as identifier/name pairs.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Header Parameters
Section titled “Header Parameters ”Responses
Section titled “ Responses ”List of all available channel managers and rate providers as identifier/name pairs.
Immutable key-value pair associating a machine-readable value with a human-readable label.
object
The value that should be persisted.
English readable text of the value.
Example
[ { "value": "HOTEL", "label": "Hotel & Resort" }]Bad Request — missing or invalid request parameter or body
object
object
Example
Unauthorized — authentication is required or the session has expired
object
object
Example
Forbidden — authenticated but lacking the required permission or scope
object
object
Example
Not Found — the requested resource does not exist
object
object
Example
Method Not Allowed — the HTTP verb is not supported on this endpoint
object
object
Example
Unsupported Media Type — use application/json
object
object
Example
Internal Server Error — an unexpected failure occurred on the server
object
object
Example
Service Unavailable — a downstream dependency is unreachable